//
// Created by zx on 2020/6/18.
//

#ifndef NNXX_TESTS_LOCATE_COMMUNICATOR_H
#define NNXX_TESTS_LOCATE_COMMUNICATOR_H

#include <mutex>
#include "nnxx_client.h"
//#include "locate_message.pb.h"
#include "../message/sensing_message.pb.h"
#include "../error_code/error_code.h"

class Locate_communicator {
public:
    virtual ~Locate_communicator();
    Error_manager locate_request(message::Locate_request_msg request,message::Locate_response_msg& result,unsigned int timeout=3000);
    static Error_manager create_locate_communicator(std::string str_ip,int port);
    static Locate_communicator* get_instance();
protected:
    Locate_communicator();
    Client          m_nnxx_client;
    static  Locate_communicator*  mp_locate_communicator;
};


#endif //NNXX_TESTS_LOCATE_COMMUNICATOR_H
