//
// Created by zx on 2020/6/10.
//

#ifndef NNXX_TESTS_CLIENT_H
#define NNXX_TESTS_CLIENT_H

#include <nnxx/message.h>
#include <nnxx/message_control.h>
#include <nnxx/socket.h>
#include <nnxx/reqrep.h>
#include <string>
#include <iostream>

#include <nnxx/timeout.h>
#include <nnxx/error.h>
#include "../error_code/error_code.h"
#include <mutex>
class Client {
public:
    Client();
    virtual ~Client();
    Error_manager connect(std::string connect_str);
    virtual Error_manager request(std::string request_str, std::string& response,unsigned int timeout);

protected:
    bool    mb_connect;
    nnxx::socket    m_socket;
    std::mutex      m_lock;
};


#endif //NNXX_TESTS_CLIENT_H
